Summary:	FM radio card manipulation utility
Name:		fmio
Version:	2.0.8
Release:	10%{?dist}
License:	BSD
Group:		Applications/Multimedia
URL:		http://jumbo.narod.ru/fmio.html
Source0:	http://jumbo.narod.ru/src/fmio/%{name}-%{version}.tar.gz
Source1:	http://smile.org.ua/~andy/prj/patch/fmio-gq-wrapper.py
Source2:	README.fedora
Patch0:		fmio-2.0.8-build.asp.patch
Patch1:		fmio-2.0.8-sysconfdir.asp.patch
Patch2:		fmio-2.0.8-dyn.asp.patch
# Do not build drivers with direct I/O by default
# (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=205721)
Patch3:		fmio-2.0.8-nodirectio.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The fmio is a small program to set and change fm radio card parameters.
It sets frequency, volume of the card, reports signal strength on the
working frequency and can set the radio card output to mono (if the card
driver supports it).

%package devel
Summary:	Header files and libraries for developing apps which will use fmio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The fmio-devel package contains headers needed
to develop programs that use fmio library.

Install the fmio-devel package if you want to develop applications that
will use the fmio library.

%package wmfmio
Summary:	WindowMaker dockable application to manipulate FM radio card
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
# It is not a WindoMaker's dock application
# (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=222758)
#Requires:	WindowMaker
%if 0%{?fedora} > 4
BuildRequires:	libX11-devel
BuildRequires:	libXpm-devel
BuildRequires:	libXext-devel
%else
BuildRequires:	XFree86-devel
%endif

%description wmfmio
wmfmio is a WindowMaker dockable application to manipulate FM radio card.

In order to run this utility you need to install fmio package.

%prep
%setup -q
%patch0 -p1 -b .build
%patch1 -p1 -b .sysconfdir
%patch2 -p1 -b .dyn
%patch3 -p1 -b .nodirectio

# make LICENSE file
export TOPDIR=`pwd`
pushd utils
/bin/sh license.sh > $TOPDIR/LICENSE
popd

%build
export CFLAGS="-DSYSCONFDIR=\\\"%{_sysconfdir}\\\" $RPM_OPT_FLAGS -fPIC"
%if 0%{?fedora} > 4
export LIBDIR="-L%{_libdir}"
%endif
%if 0%{?_with_direct_io}
export WITH_DIRECT_IO=y
%endif
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	bindir=%{_bindir} \
	libdir=%{_libdir} \
	sysconfdir=%{_sysconfdir} \
	includedir=%{_includedir} \
	datadir=%{_datadir}

# install wrapper
install -c -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/fmio-wrapper.py

# for FC4 and earlier
touch $RPM_BUILD_ROOT%{_bindir}/fmio-wrapper.pyc
touch $RPM_BUILD_ROOT%{_bindir}/fmio-wrapper.pyo

# prepare documentation
install -p -m 644 %{SOURCE2} README.fedora

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/fmio
%{_bindir}/fmio-wrapper.py
%exclude %{_bindir}/fmio-wrapper.py[co]
%{_mandir}/man1/fmio.1*
%if 0%{?_with_direct_io}
%{_bindir}/bktrctl
%{_bindir}/fmrinit
%endif
%doc Changelog README doc/FAQ
%doc README.fedora
%doc LICENSE
%lang(ru) %doc doc/FAQ.ru
%{_libdir}/libradio.so

%files devel
%defattr(-,root,root)
%{_includedir}/fmio/

%files wmfmio
%defattr(-,root,root)
%{_bindir}/wmfmio
%{_mandir}/man1/wmfmio.1*
%config(noreplace) %{_sysconfdir}/wmfmiorc

%changelog
* Sun Nov 11 2007 Andy Shevchenko <andy@smile.org.ua> 2.0.8-10
- do not require WindowMaker for GUI part (#222758)
- do not build drivers with direct I/O (#205721)

* Fri Sep 08 2006 Andy Shevchenko <andy@smile.org.ua> 2.0.8-8.0
- do not build on non-x86 arches (#205721)

* Wed Sep 06 2006 Andy Shevchenko <andriy@asplinux.com.ua> 2.0.8-7
- remove undesired LICENSE install
- do not use groff
- correct permissions of header files

* Tue Sep 05 2006 Andy Shevchenko <andriy@asplinux.com.ua> 2.0.8-6
- generate LICENSE on the fly

* Sat Sep 02 2006 Andy Shevchenko <andriy@asplinux.com.ua> 2.0.8-5
- mark wmfmiorc as config
- install libradio.so with executable permissions
- do not use makeinstall macro
- catch up license from fmio.c

* Sat Aug 19 2006 Andy Shevchenko <andriy@asplinux.com.ua> 2.0.8-4
- do not pack *.pyo and *.pyc
- spelling fixes in README.fedora

* Sun Aug 13 2006 Andy Shevchenko <andriy@asplinux.com.ua> 2.0.8-3
- set defattr in files sections
- fix Requires tag in subpackages
- drop setuid attribute from certain binaries (README.fedora has been added)
- update fmio-gq-wrapper to 0.4.1
- satisfy rpmlint claim (use -fPIC for library)

* Thu Aug 10 2006 Andy Shevchenko <andriy@asplinux.com.ua> 2.0.8-2
- update fmio-wrapper to 0.4.0
- add BRs: libXpm-devel and libXext-devel

* Wed Aug 09 2006 Andy Shevchenko <andriy@asplinux.com.ua> 2.0.8-1
- use dynamic linking
- install fmio-wrapper

* Thu Jul 27 2006 Andy Shevchenko <andriy@asplinux.com.ua>
- prepare for Fedora Extras
- Copyright -> License
- correct BuildRoot tag
- use dist tag

* Tue May 10 2005 Andy Shevchenko <andy@smile.org.ua>
- rebuild for ASPLinux 9.2
